Search the deals you see on Mogul
curl --request GET \
--url https://api.investorlift.com/marketplace/v1/buy/deals \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.investorlift.com/marketplace/v1/buy/deals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.investorlift.com/marketplace/v1/buy/deals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"status": "available",
"asking_price": 0,
"arv_estimate": 0,
"min_emd": 0,
"condition": "FULL_GUT",
"description": "<string>",
"has_price_drop": true,
"deal_types": [
"subject_to"
],
"asset_type": "property",
"occupancy": "owner_occupied",
"repair_estimate": {
"min": 0,
"max": 0
},
"monthly_hoa": 0,
"address": {
"status": "hidden",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"county": "<string>",
"latitude": 123,
"longitude": 123,
"is_approximate": true,
"street": "<string>"
},
"property": {
"type": "single_family",
"beds": 123,
"baths": 123,
"sq_footage": 123,
"lot_size": 123,
"lot_size_unit": "sqft",
"year_built": 123
},
"images": [
{
"id": "<string>",
"url": "<string>",
"display_order": 0
}
],
"verification": {
"status": "<string>"
},
"seller": {
"id": "<string>",
"name": "<string>",
"handle": "<string>",
"rating": 123,
"review_count": 0,
"member_since": "2023-11-07T05:31:56Z"
},
"published_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"request_id": "<string>",
"api_version": "<string>"
},
"page": {
"next_cursor": "<string>",
"limit": 123,
"returned": 123
}
}{
"type": "https://developers.investorlift.com/marketplace/errors#invalid_parameter",
"title": "Parameter unusable",
"status": 400,
"code": "invalid_parameter",
"detail": "<string>",
"recovery": "Correct the query parameter the detail names, then repeat the call.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#unauthorized",
"title": "Not authenticated",
"status": 401,
"code": "unauthorized",
"detail": "<string>",
"recovery": "Send a current access token for this API, and start a new authorization when the token is expired.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#designation_required",
"title": "Designation missing",
"status": 403,
"code": "designation_required",
"detail": "<string>",
"recovery": "Finish the onboarding of the side you call, then repeat the call.",
"request_id": "<string>",
"designation": "seller"
}{
"type": "https://developers.investorlift.com/marketplace/errors#not_found",
"title": "Not found",
"status": 404,
"code": "not_found",
"detail": "<string>",
"recovery": "Check the id, and check that the account you call with owns the resource.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#method_not_allowed",
"title": "Method not allowed",
"status": 405,
"code": "method_not_allowed",
"detail": "<string>",
"recovery": "Use one of the methods the documentation lists for this path.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#validation_failed",
"title": "Body failed validation",
"status": 422,
"code": "validation_failed",
"detail": "<string>",
"recovery": "Correct each field the detail names, then repeat the call.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#cap_reached",
"title": "Cap reached",
"status": 429,
"code": "cap_reached",
"detail": "<string>",
"recovery": "Wait for the time in Retry-After, or raise your trust tier with the step in GET /me.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#origin_error",
"title": "Service unavailable",
"status": 503,
"code": "origin_error",
"detail": "<string>",
"recovery": "Repeat the call in a minute, and tell Investorlift support when the answer stays the same.",
"request_id": "<string>"
}Reference: buy
Search the deals you see on Mogul
Reads the deals this buyer sees on Mogul, 25 to a page, under the same visibility rule.
GET
/
buy
/
deals
Search the deals you see on Mogul
curl --request GET \
--url https://api.investorlift.com/marketplace/v1/buy/deals \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.investorlift.com/marketplace/v1/buy/deals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.investorlift.com/marketplace/v1/buy/deals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"status": "available",
"asking_price": 0,
"arv_estimate": 0,
"min_emd": 0,
"condition": "FULL_GUT",
"description": "<string>",
"has_price_drop": true,
"deal_types": [
"subject_to"
],
"asset_type": "property",
"occupancy": "owner_occupied",
"repair_estimate": {
"min": 0,
"max": 0
},
"monthly_hoa": 0,
"address": {
"status": "hidden",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"county": "<string>",
"latitude": 123,
"longitude": 123,
"is_approximate": true,
"street": "<string>"
},
"property": {
"type": "single_family",
"beds": 123,
"baths": 123,
"sq_footage": 123,
"lot_size": 123,
"lot_size_unit": "sqft",
"year_built": 123
},
"images": [
{
"id": "<string>",
"url": "<string>",
"display_order": 0
}
],
"verification": {
"status": "<string>"
},
"seller": {
"id": "<string>",
"name": "<string>",
"handle": "<string>",
"rating": 123,
"review_count": 0,
"member_since": "2023-11-07T05:31:56Z"
},
"published_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"request_id": "<string>",
"api_version": "<string>"
},
"page": {
"next_cursor": "<string>",
"limit": 123,
"returned": 123
}
}{
"type": "https://developers.investorlift.com/marketplace/errors#invalid_parameter",
"title": "Parameter unusable",
"status": 400,
"code": "invalid_parameter",
"detail": "<string>",
"recovery": "Correct the query parameter the detail names, then repeat the call.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#unauthorized",
"title": "Not authenticated",
"status": 401,
"code": "unauthorized",
"detail": "<string>",
"recovery": "Send a current access token for this API, and start a new authorization when the token is expired.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#designation_required",
"title": "Designation missing",
"status": 403,
"code": "designation_required",
"detail": "<string>",
"recovery": "Finish the onboarding of the side you call, then repeat the call.",
"request_id": "<string>",
"designation": "seller"
}{
"type": "https://developers.investorlift.com/marketplace/errors#not_found",
"title": "Not found",
"status": 404,
"code": "not_found",
"detail": "<string>",
"recovery": "Check the id, and check that the account you call with owns the resource.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#method_not_allowed",
"title": "Method not allowed",
"status": 405,
"code": "method_not_allowed",
"detail": "<string>",
"recovery": "Use one of the methods the documentation lists for this path.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#validation_failed",
"title": "Body failed validation",
"status": 422,
"code": "validation_failed",
"detail": "<string>",
"recovery": "Correct each field the detail names, then repeat the call.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#cap_reached",
"title": "Cap reached",
"status": 429,
"code": "cap_reached",
"detail": "<string>",
"recovery": "Wait for the time in Retry-After, or raise your trust tier with the step in GET /me.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#origin_error",
"title": "Service unavailable",
"status": 503,
"code": "origin_error",
"detail": "<string>",
"recovery": "Repeat the call in a minute, and tell Investorlift support when the answer stays the same.",
"request_id": "<string>"
}Authorizations
Authorization code with PKCE. The person grants the scopes on the Investorlift consent page and accepts the Marketplace API Terms there.
Query Parameters
Geography feature ids, separated by commas. Use this or bbox, never both.
A box as sw_lng,sw_lat,ne_lng,ne_lat. Use this or geo, never both.
A buy box id, bbx_, as the filter.
Required range:
0 <= x <= 9007199254740991Required range:
0 <= x <= 9007199254740991Property types, separated by commas.
Deal conditions, separated by commas.
Reads only the deals that changed at or after this instant. Send an RFC 3339 date and time.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$The order. -published_at by default.
Available options:
published_at, -published_at, asking_price, -asking_price, arv_estimate, -arv_estimate, expires_at, -expires_at The next_cursor of the page before this one.
Was this page helpful?